aboutsummaryrefslogtreecommitdiff
path: root/dev/perl/perl-module-build
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-04 15:08:28 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-04 15:08:28 +0000
commit4eab0e236ef8e5206deb2edad95b2e712c91c676 (patch)
tree5edb9936175e286e84e17045aa12582ff8d8104a /dev/perl/perl-module-build
parentcaa987a20193259d5d3ebeb8ce3d8109f5f5cbd9 (diff)
downloadslackbuilds-4eab0e236ef8e5206deb2edad95b2e712c91c676.tar.gz
slackbuilds-4eab0e236ef8e5206deb2edad95b2e712c91c676.tar.bz2
perl-module-build update
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@769 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'dev/perl/perl-module-build')
-rwxr-xr-xdev/perl/perl-module-build/perl-module-build.SlackBuild26
1 files changed, 23 insertions, 3 deletions
diff --git a/dev/perl/perl-module-build/perl-module-build.SlackBuild b/dev/perl/perl-module-build/perl-module-build.SlackBuild
index 6dc71539..24c1bf77 100755
--- a/dev/perl/perl-module-build/perl-module-build.SlackBuild
+++ b/dev/perl/perl-module-build/perl-module-build.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
#
-# build script for perl-module-build
+# SlackBuild script for perl-module-build
# by rhatto at riseup.net by rhatto | gpl
CWD="`pwd`"
@@ -78,11 +78,20 @@ mkdir -p /install
perl Makefile.PL
make
make test
-make install
+make install DESTDIR=$TMP/package-$PACKAGE
# make the package
-cat << EOF > /install/slack-desc
+cd $TMP/package-$PACKAGE
+
+# we need to fix .packlist
+string="`echo $TMP/package-$PACKAGE | sed -e 's/\//\\\\\//g'`"
+find . -name .packlist -exec sed -e "s/$string//g" {} \; > packlist
+find . -name .packlist -exec mv packlist {} \;
+
+mkdir install
+
+cat << EOF > install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
@@ -104,3 +113,14 @@ perl-module-build:
perl-module-build:
EOF
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+DOCS="Changes README SIGNATURE"
+cp -a $CWD/$DOCS usr/doc/$PACKAGE-$VERSION/
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+